Macaulay2 » Documentation
Packages » Schubert2 :: chern(ZZ,Symbol)
next | previous | forward | backward | up | index | toc

# chern(ZZ,Symbol) -- make a Chern class symbol

- Function: chern
- Usage:
    `chern(i,E)`
    `chern_i E`
- Inputs:
  - i, an integer,
  - E, a symbol,
- Outputs:
  - a Chern class variable, based on i and on E

## Description

    i1 : chern_3 E

    o1 = c E
          3

    o1 : ChernClassVariable

## Ways to use this method:

- chern(ZZ,Symbol) -- make a Chern class symbol

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Schubert2.m2:1857:0.